Subject: Re: bug#53743: Using spaces in names doesn't have complete sanitization

From: Leo Famulari <[email-masked]>
Date: Thu, 3 Feb 2022 23:18:57 -0500

On Thu, Feb 03, 2022 at 06:32:51PM +0000, Maxime Devos wrote:
> Tsarina Baelarina Nina schreef op wo 02-02-2022 om 20:49 [-0800]:
> > I put my name as Tsarina Baelarina Nina, as opposed to my real name.
> > It created the correct home profile, but also included the two extra
> > empty directories in my home directory as included in the attachment
> > for proof. I think I remember reading something about camel casing
> > for user names on the system, as in the name can't start with a
> > capital letter, but I thought you could get away with spaces if you
> > escaped the strings properly \(space).
> 
> I can reproduce with the attached configuration.
> I'm wondering what software is creating these 'Baelarina' and 'Nina'
> subdirectories of '/home/Tsarina Baelarina Nina/' ... is it Guix, is it
> GDM, is it the GNOME desktop ...?

I'm not very familiar with this part of the system, but I think that
user home directories are created here, in ((gnu build activation)
activate-users+groups):

https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/build/activation.scm?id=ff093f5739a61e77b296feccc48d260b9bb574c0#n160